List Agents
curl --request GET \
--url https://app.thinnest.ai/api/v1/agents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.thinnest.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.thinnest.ai/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "ag_5c4a5f93-2b1e-4d7a-9f60-8e2d1c3b4a71",
"name": "Skyline Sales",
"instructions": "You call people who enquired about a flat at Sky Towers, Baner. Find out their budget, preferred size and when they can visit the site.",
"greeting": "Namaste, I'm calling from Skyline Homes about your enquiry for Sky Towers.",
"businessDescription": "Skyline Homes builds 2 and 3 BHK apartments in Pune.",
"model": "prana-voice",
"temperature": 0.3,
"maxReplyTokens": 300,
"language": "Hindi",
"secondLanguage": "English",
"escalation": {
"onNoAnswer": false,
"onRequest": true
},
"captureLeads": true,
"scheduleCallbacks": false,
"steps": [
{
"title": "Confirm the enquiry",
"detail": "Check they enquired about Sky Towers and are still looking.",
"branches": [],
"collect": []
},
{
"title": "Budget and size",
"detail": "Ask for their budget and whether they want a 2 BHK or a 3 BHK.",
"branches": [],
"collect": []
}
],
"widget": {
"theme": "classic",
"accent": "#0f766e",
"height": 806,
"welcomeScreen": true,
"welcomeCollectLeads": true
},
"voice": {
"answersCalls": true,
"surfaces": [
"web",
"whatsapp",
"phone"
],
"voice": "priya",
"phoneNumber": "+918047361290",
"language": null,
"summariseCalls": true,
"detectMachines": false,
"recordCalls": true,
"maxCallSeconds": 300,
"pastConversations": "quiet"
},
"collectFields": [
{
"name": "budget",
"type": "number",
"description": "Budget in rupees",
"choices": null
},
{
"name": "interest",
"type": "text",
"description": null,
"choices": [
"Hot",
"Warm",
"Cold"
]
}
],
"webKey": "pk_9fQ2xLm7Rt4vWb8KcN3hYd6sJ1pZ",
"createdAt": "2026-09-17T09:39:31.204Z"
}
],
"nextCursor": "MjAyNi0wOS0xN1QwOTozOTozMS4yMDRafDVjNGE1ZjkzLTJiMWUtNGQ3YS05ZjYwLThlMmQxYzNiNGE3MQ"
}{
"error": "`limit` must be a whole number from 1 to 100."
}{
"error": "Send a valid API key as `Authorization: Bearer <key>`."
}{
"error": "Over 240 requests a minute. Slow down and retry."
}Agents
List Agents
Every agent in your workspace, newest first, in the same shape Get Agent returns. Page with limit and cursor.
GET
/
agents
List Agents
curl --request GET \
--url https://app.thinnest.ai/api/v1/agents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.thinnest.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.thinnest.ai/api/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "ag_5c4a5f93-2b1e-4d7a-9f60-8e2d1c3b4a71",
"name": "Skyline Sales",
"instructions": "You call people who enquired about a flat at Sky Towers, Baner. Find out their budget, preferred size and when they can visit the site.",
"greeting": "Namaste, I'm calling from Skyline Homes about your enquiry for Sky Towers.",
"businessDescription": "Skyline Homes builds 2 and 3 BHK apartments in Pune.",
"model": "prana-voice",
"temperature": 0.3,
"maxReplyTokens": 300,
"language": "Hindi",
"secondLanguage": "English",
"escalation": {
"onNoAnswer": false,
"onRequest": true
},
"captureLeads": true,
"scheduleCallbacks": false,
"steps": [
{
"title": "Confirm the enquiry",
"detail": "Check they enquired about Sky Towers and are still looking.",
"branches": [],
"collect": []
},
{
"title": "Budget and size",
"detail": "Ask for their budget and whether they want a 2 BHK or a 3 BHK.",
"branches": [],
"collect": []
}
],
"widget": {
"theme": "classic",
"accent": "#0f766e",
"height": 806,
"welcomeScreen": true,
"welcomeCollectLeads": true
},
"voice": {
"answersCalls": true,
"surfaces": [
"web",
"whatsapp",
"phone"
],
"voice": "priya",
"phoneNumber": "+918047361290",
"language": null,
"summariseCalls": true,
"detectMachines": false,
"recordCalls": true,
"maxCallSeconds": 300,
"pastConversations": "quiet"
},
"collectFields": [
{
"name": "budget",
"type": "number",
"description": "Budget in rupees",
"choices": null
},
{
"name": "interest",
"type": "text",
"description": null,
"choices": [
"Hot",
"Warm",
"Cold"
]
}
],
"webKey": "pk_9fQ2xLm7Rt4vWb8KcN3hYd6sJ1pZ",
"createdAt": "2026-09-17T09:39:31.204Z"
}
],
"nextCursor": "MjAyNi0wOS0xN1QwOTozOTozMS4yMDRafDVjNGE1ZjkzLTJiMWUtNGQ3YS05ZjYwLThlMmQxYzNiNGE3MQ"
}{
"error": "`limit` must be a whole number from 1 to 100."
}{
"error": "Send a valid API key as `Authorization: Bearer <key>`."
}{
"error": "Over 240 requests a minute. Slow down and retry."
}Authorizations
Your API key (ta_live_…) from Settings → API keys, sent as Authorization: Bearer <key>. Keep it on a server: it can message every customer you have. A key is full, build or read-only; a request its level does not allow is refused with 403.
Headers
Developers only: the customer workspace this request acts in — its org_… id from POST /customers. Leave it out to act in your own workspace.
Example:
"org_3fKq9TzQ1mN8vB2xR7cLpA"
Query Parameters
How many items to return, 1 to 100.
Required range:
1 <= x <= 100The nextCursor from the previous page. Leave it out for the first page.